import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiRgSetDefNetResultInt(_base.BaseAPIResultInt):
    pass


class CloudapiRgSetDefNetProtocol(_base.BasePostAPIFunctionProtocol):
    def set_def_net(
        self,
        *,
        net_type: _nested.RGDefaultNetTypeForSet,
        rg_id: int,
        net_id: None | int = None,
    ) -> CloudapiRgSetDefNetResultInt:
        ...
